[问题]怎么从6.06升级到7.04啊??

为当前最终发行版之前的所有版本提供支持
bjtusq
帖子: 39
注册时间: 2007-01-25 22:01
送出感谢: 0
接收感谢: 0
联系:

[问题]怎么从6.06升级到7.04啊??

#1

帖子 bjtusq » 2007-03-04 12:57

我也想升级去看看
但是我不会升级阿
谁告诉我怎么升阿??
谢谢了!!!
头像
cnshzj007
帖子: 685
注册时间: 2006-05-24 21:38
来自: 上海
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 cnshzj007 » 2007-03-05 13:06

sudo gedit /etc/apt/sources.list电信的用CN99快。网通我不知道了。这是为了把低版本的源换成高版本的源。请把下面的的推荐的源替换你的低版本的源吧。其实方法可以适用去U的其它版本升级,我就是从U606这样长到U610再这样长到U704的。

#Ubuntu.cn99.com 更新服务器(江苏省常州市电信,推荐电信用户使用。)
deb http://ubuntu.cn99.com/ubuntu/ feisty main restricted universe multiverse
deb http://ubuntu.cn99.com/ubuntu/ feisty-security main restricted universe multiverse
deb http://ubuntu.cn99.com/ubuntu/ feisty-updates main restricted universe multiverse
deb http://ubuntu.cn99.com/ubuntu/ feisty-proposed main restricted universe multiverse
deb http://ubuntu.cn99.com/ubuntu/ feisty-backports main restricted universe multiverse
deb-src http://ubuntu.cn99.com/ubuntu/ feisty main restricted universe multiverse
deb-src http://ubuntu.cn99.com/ubuntu/ feisty-security main restricted universe multiverse
deb-src http://ubuntu.cn99.com/ubuntu/ feisty-updates main restricted universe multiverse
deb-src http://ubuntu.cn99.com/ubuntu/ feisty-proposed main restricted universe multiverse
deb-src http://ubuntu.cn99.com/ubuntu/ feisty-backports main restricted universe multiverse
deb http://ubuntu.cn99.com/ubuntu-cn/ feisty main restricted universe multiverse


#Archive.ubuntu.com 更新服务器(欧洲,此为官方源,推荐使用。)
deb http://archive.ubuntu.com/ubuntu/ feisty main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu/ feisty-security main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu/ feisty-updates main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu/ feisty-proposed main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu/ feisty-backports main restricted universe multiverse
deb-src http://archive.ubuntu.com/ubuntu/ feisty main restricted universe multiverse
deb-src http://archive.ubuntu.com/ubuntu/ feisty-security main restricted universe multiverse
deb-src http://archive.ubuntu.com/ubuntu/ feisty-updates main restricted universe multiverse
deb-src http://archive.ubuntu.com/ubuntu/ feisty-proposed main restricted universe multiverse
deb-src http://archive.ubuntu.com/ubuntu/ feisty-backports main restricted universe multiverse
deb http://archive.ubuntu.org.cn/ubuntu-cn/ feisty main restricted universe multiverse

sudo apt-get dist-upgrade -d 这命令是为了从CN99这个快的源中只是下载需要的文件而不安装。

sudo update-manager -c -d
这个命令是为了从欧洲官方源中下载还缺少的文件并且执行安装。
上次由 cnshzj007 在 2007-03-26 23:28,总共编辑 2 次。
我只是一个ARCH的FANS,来自RH和UBUNTU的滋润!
bjtusq
帖子: 39
注册时间: 2007-01-25 22:01
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 bjtusq » 2007-03-05 15:33

sheng00@sheng00-laptop:~$ sudo apt-get dist-upgrade -d
正在读取软件包列表... 完成
正在分析软件包的依赖关系树... 完成
正在筹划升级... 完成
共升级了 0 个软件包,新安装了 0 个软件包,要卸载 0 个软件包,有 0 个软件未被升级。
sheng00@sheng00-laptop:~$ sudo update-manager -c -d --dist-upgrade
/usr/lib/python2.4/site-packages/apt/__init__.py:17: FutureWarning: apt API not stable yet
warnings.warn("apt API not stable yet", FutureWarning)
usage: update-manager [options]

update-manager: error: no such option: --dist-upgrade
头像
守望伊人
帖子: 189
注册时间: 2006-05-18 18:24
来自: 四川广安
送出感谢: 0
接收感谢: 0
联系:

#4

帖子 守望伊人 » 2007-03-05 17:34

需要先

代码: 全选

 sudo apt-get update

代码: 全选

 sudo apt-get dist-upgrade
dingyulong
帖子: 340
注册时间: 2007-02-06 18:12
送出感谢: 0
接收感谢: 0

#5

帖子 dingyulong » 2007-03-11 22:58

不错,已经按照楼上说法在升级中~~~~~
头像
aslen
帖子: 613
注册时间: 2006-08-28 23:00
送出感谢: 0
接收感谢: 0

#6

帖子 aslen » 2007-03-17 11:09

是不是打开sources.list 之后,把里面的地址换上
#Archive.ubuntu.com 更新服务器(欧洲,此为官方源,推荐使用。)
deb http://archive.ubuntu.com/ubuntu/ feisty main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu/ feisty-security main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu/ feisty-updates main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu/ feisty-proposed main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu/ feisty-backports main restricted universe multiverse
deb-src http://archive.ubuntu.com/ubuntu/ feisty main restricted universe multiverse
deb-src http://archive.ubuntu.com/ubuntu/ feisty-security main restricted universe multiverse
deb-src http://archive.ubuntu.com/ubuntu/ feisty-updates main restricted universe multiverse
deb-src http://archive.ubuntu.com/ubuntu/ feisty-proposed main restricted universe multiverse
deb-src http://archive.ubuntu.com/ubuntu/ feisty-backports main restricted universe multiverse
deb http://archive.ubuntu.org.cn/ubuntu-cn/ feisty main restricted universe multiverse
然后在执行sudo apt-get update


代码:
sudo apt-get dist-upgrade
moxien
帖子: 145
注册时间: 2006-09-20 14:36
送出感谢: 0
接收感谢: 0

#7

帖子 moxien » 2007-03-17 11:15

虽然新手,但忍不住,也来升一下。
刚好是周末了,呵呵。
kenlo1981
帖子: 14
注册时间: 2006-04-09 17:21
送出感谢: 0
接收感谢: 0
联系:

#8

帖子 kenlo1981 » 2007-03-18 13:38

你们这样升级要用多久的时间.........
我的很慢...中途放气了........... :?
野草
帖子: 56
注册时间: 2006-12-27 23:37
送出感谢: 0
接收感谢: 0

#9

帖子 野草 » 2007-03-18 22:24

我现在也很慢。。。。正想不玩了。。
buptlpf
帖子: 50
注册时间: 2007-02-14 9:43
送出感谢: 0
接收感谢: 0

#10

帖子 buptlpf » 2007-03-21 15:22

网通用台湾源 很快
fajar
帖子: 44
注册时间: 2007-03-05 9:11
送出感谢: 0
接收感谢: 0

#11

帖子 fajar » 2007-03-26 13:29

最后一行deb http://archive.ubuntu.org.cn/ubuntu-cn/ feisty main restricted universe multiverse ,这个源老是连不上阿?!
dingyulong
帖子: 340
注册时间: 2007-02-06 18:12
送出感谢: 0
接收感谢: 0

#12

帖子 dingyulong » 2007-03-26 23:13

升级中,顶搂住。
头像
cnshzj007
帖子: 685
注册时间: 2006-05-24 21:38
来自: 上海
送出感谢: 0
接收感谢: 0
联系:

#13

帖子 cnshzj007 » 2007-03-26 23:29

我想应该顶了。因为FEISTY也应该可以让更多享用了。
我只是一个ARCH的FANS,来自RH和UBUNTU的滋润!
kenlo1981
帖子: 14
注册时间: 2006-04-09 17:21
送出感谢: 0
接收感谢: 0
联系:

#14

帖子 kenlo1981 » 2007-03-28 21:06

真的慢得要命 :( 。。电信的用什么才快1 :?:
头像
chobits
帖子: 44
注册时间: 2006-09-22 23:34
送出感谢: 0
接收感谢: 0

#15

帖子 chobits » 2007-03-28 21:19

不清楚 ubuntu 是否推荐通过升级来更新整个系统
Emace
回复

回到 “老旧版本支持”